# Processes a public payment

Allows for publicly payable invoices by taking a payment and processing it anonymously

Endpoint: POST /payments/{tenantId}/public
Version: v1-2025-04-18

## Path parameters:

  - `tenantId` (string, required)
    The id of the tenant being accessed

## Request body:

  - `application/json` (unknown)
    Payment information

## Request fields (application/json):

  - `contact_info` (object, required)
    The contact information for the payee

  - `invoice_id` (string, required)
    The ID of the invoice being paid

  - `payment` (object, required)
    The payment information

  - `sharing_secret` (string, required)
    The sharing secret of the invoice being paid

## Response 200:

  - `200` (unknown)
    The payment process was started

## Response 200 fields (application/json):

  - `executionArn` (string, required)
    The arn of the execution

  - `notification_channel` (string)
    The id of the channel where progress updates will be posted

  - `notification_publishKey` (string)
    The publish key for the channel where progress updates will be posted

  - `notification_subscribeKey` (string)
    The subscribe key for the channel where progress updates will be posted

  - `start_date` (string)
    The start date of the execution

## Response 200 headers (application/json):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    The request was not valid.

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    The payment could not be found.

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to retrieve payment based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

